# $Header. /Master/config/header/header.sh,v 1.2 1997/02/01 17.29.30 phillf Exp $
#
#  Copyright(c) 1996-97 FRIDU a Free Software Company [fridu@fridu.com]
#
# File      :   pkgIakages.tcl tcl package interface to jTcl jClassImport mecanism
# Projet    :   Fridu a Realtime Booster
# SubModule :   jTcl Tcl package handler
# Auteur    :   Philippe Le Foll [phillf@fridu.com]
#
# Last
#      Author      : $Author. phillf $
#      Date        : $Date. 1997/02/01 17.29.30 $
#      Revision    : $Revision. 1.2 $
#      Source      : $Source. /Master/config/header/header.sh,v $
#      State       : $State. Exp $
#
# Modification History
# --------------------
# 01a,15mar98,phillf written
#

;##
 # This proc sources as soone as tcl is started
 # it will look for jTcl package as soon as 
 # package requierer jTcl is entered.
 # <p>
 # It will look in JTCL_PATH and then in JTCl_HOME
 # for searchPkgLang file
 #;

proc jTclSearchPackage {DIR} {
 global env
 global PKG_STATE
 global PKG_DIR

 # From now we search production tree
 set PKG_STATE prod

 # If No JTCL Patch create a default one
 if {![info exists env(JTCL_PATH)]} {

   # Save current dir
   set CURRENT [pwd]

   # if JTCL_HOME not defined try find one
   if {![info exists env(JTCL_HOME)]} {
     cd    $DIR/../..
     set   env(JTCL_HOME) [pwd]
   }

   # Add JTCL file in version reverse order
   if [catch {lsort -decreasing [glob $env(JTCL_HOME)/*/lib]} env(JTCL_PATH)] {
        puts "ERROR: Can't find JTCL in default location set JTCL_HOME or JTCL_PATH"
        exit
   }

   # come back to original current dir
   cd $CURRENT
   puts "Warning: JTCL_PATH defaulted to $env(JTCL_PATH)"
 }

 # Now loop on JTCL_PATH for Etc/Package.jTcl files
 foreach DIR $env(JTCL_PATH) {
   if [file exists $DIR/jTcl/Tcl/searchPkgLang.jTcl] {
     set PKG_DIR [file join $DIR jTcl]
     if [info exists env(JTCL_DEBUG)] {puts "sourcing $PKG_DIR/jTcl/Tcl/searchPkgLang.jTcl"}
     uplevel #0 source $DIR/jTcl/Tcl/searchPkgLang.jTcl
     break
   }
 } ;# end foreach JTCL_PATH
 
} ;# end proc jTclSearchPackage


# This command will be find with package command when scanning env(TCLLIBPATH)
package ifneeded jTcl 3.01 [list jTclSearchPackage $dir]
